petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatMultTranspose

Computes matrix transpose times a vector.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMultTranspose(Mat mat,Vec x,Vec y)

Neighbor-wise Collective on Mat and Vec

### Input Parameters

| mat | - the matrix
| x | - the vector to be multilplied

### Output Parameters

y -the result

### Notes

The vectors x and y cannot be the same. I.e., one cannot call MatMultTranspose(A,y,y).

For complex numbers this does NOT compute the Hermitian (complex conjugate) transpose multiple, use MatMultHermitianTranspose()

### See Also

MatMult(), MatMultAdd(), MatMultTransposeAdd(), MatMultHermitianTranspose(), MatTranspose()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html
src/ksp/ksp/examples/tutorials/ex53.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/hyperbolic.c.html